PCRE2_SET_MAX_PATTERN_COMPILED_LENGTH(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_max_pattern_compiled_length(
  pcre2_compile_context *ccontext, PCRE2_SIZE value);

DESCRIPTION

This function sets, in a compile context, the maximum size (in bytes) for the memory needed to hold the compiled version of a pattern that is using this context. The result is always zero. If a pattern that is passed to pcre2_compile() referencing this context needs more memory, an error is generated. The default is the largest number that a PCRE2_SIZE variable can hold, which is effectively unlimited.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.